Skip to main content
GET
Get webhook items
See the Pull webhooks guide for creating a pull subscription, polling pending items, and acknowledging them after processing.

Authorizations

Authorization
string
header
required

Authentication with an API key can be done by using a bearer token in the Authorization header. This is done using the following format Authorization: Bearer {token}. API keys are issued and revoked directly from the creditor portal under Developers > API.

Path Parameters

tenantId
string<uuid>
required

Id of the tenant

Query Parameters

page
integer
default:0

Page to get. Starting from 0.

Required range: x >= 0
pageSize
integer
default:25

Number of items per page.

Required range: 1 <= x <= 1000
webhookId
string<uuid>

Id of the webhook.

state
string

Filter by delivery state. Accepts a single state, such as PENDING, or a JSON array encoded as a query string, such as ["PENDING","SUCCESS"]. Valid states: PENDING, SUCCESS, FAILED_AND_NOTIFIED, FAILED_AWATING_NOTIFICATION, FAILED_NO_NOTIFICATION.

creditorId
string<uuid>
required

Your creditor id. You can find it on the API page in the creditor portal.

Response

Successful operation